# Administration Reference

## vos unlockvldb

Purpose

Unlocks several locked VLDB entries

Synopsis

    vos unlockvldb [-server <machine name>]  [-partition <partition name>]
                   [-cell <cell name>]  [-noauth]  [-localauth]
                   [-verbose]  [-help]

    vos unlockv [-s <machine name>]  [-p <partition name>]
                [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos unlockvldb command releases the lock on the Volume Location Database (VLDB) entries indicated by the combination of arguments provided:

- To unlock all entries in the VLDB, provide no arguments

- To unlock all entries that mention a file server machine in a site definition, provide its name with the -server argument

- To unlock all entries that mention a partition on any file server machine in a site definition, provide the partition name with the -partition argument

- To unlock all entries that mention a specific site, provide both the -server and -partition arguments.

To unlock a single volume, use the vos unlock command instead.

Cautions

Do not use this command under normal circumstances.

It is useful if VLDB entries for volumes at a certain site are locked but there is no reason to suspect inconsistency within the volume or between it and the VLDB. Note that it is possible to list information from locked VLDB entries, even though they cannot be manipulated in other ways.

The vos lock command locks a VLDB entry so that no one else can perform an action that requires writing the VLDB.

Options

-server
  Identifies the file server machine for which to unlock VLDB entries. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-partition
  Identifies the partition (on the file server machine specified by the -server argument) for which to unlock VLDB entries. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command unlocks all locked entries in the VLDB.

       % vos unlockvldb

The following command unlocks all locked VLDB entries that mention the /vicepa partition in a site definition.

       % vos unlockvldb -partition a

The following command unlocks all locked VLDB entries that refer to volumes on the /vicepc partition of the file server machine fs3.abc.com.

       % vos unlockvldb -server fs3.abc.com -partition c

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

vos lock

vos unlock

© IBM Corporation 2000. All Rights Reserved